<html>

<head>
<title>test canvas</title>
<script src="https://code.createjs.com/easeljs-0.8.0.min.js"></script>

<script src="./canvas.js"></script>
<style>
#myCanvas {
	border: 1px solid black;
}
</style>

</head>
<body>



	<hr>
	<canvas id="myCanvas" width="300" height="300"></canvas>

	<button id="main">main</button>
</body>

<script src="../js/jquery-1.11.2.min.js"></script>

<script>
	var canvas = new MyCanvas("myCanvas");

	// Trace un disque circulaire au centre de l'image.
	function circle(radius,color) {
	  for(var x = 0; x <= radius; x++)
	    for(var y = 0; y <= radius; y++)
	      if(radius * radius - x * x - y * y <= 1) {
		canvas.setPixel(x, y, color);
		canvas.setPixel(x, -y, color);
		canvas.setPixel(-x, y, color);
		canvas.setPixel(-x, -y, color);
	      }
	}
	
	// Trace le signe de la paix dans l'image.
	function peace(radius, color) {
		circle(radius, color);
		for (var y = 0; y <= radius; y++) {
			canvas.setPixel(0, -y, color);
			if (y < Math.round(1 / Math.sqrt(2) * radius)) {
				canvas.setPixel(y, y, color);
				canvas.setPixel(-y, y, color);
			}
		}
	}
	
	function main() {
		for (var size = 256; size > 0; size /= 2) {
			canvas.reset(size, size);
			peace(size,'#0040FF');
			setTimeout(donothing,1000 - size);
		}
	}
	
	function donothing(){
		
	}

	

	document.getElementById('main').addEventListener('click', function() {
		main();
		//canvas.setPixel(0, 0, '0040FF');
	}, false);

	//window.addEventListener("resize", reset, false);
</script>

</html>